<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:output method="xml" encoding="ISO-8859-1"/>

  <xsl:template match="/collection">
    <fo:root>

      <fo:layout-master-set>
        <fo:simple-page-master master-name="dinA5"
          page-height="14.8cm" page-width="21cm"
          margin="1cm">
          <fo:region-body margin-bottom="1cm"/>
	  <fo:region-after extent="1cm"/>
        </fo:simple-page-master>
      </fo:layout-master-set>

      <fo:page-sequence master-reference="dinA5">
	<fo:static-content flow-name="xsl-region-after">
	  <fo:block text-align-last="right">
	    <fo:page-number/>
	  </fo:block>
	</fo:static-content>
        <fo:flow flow-name="xsl-region-body">
          <xsl:apply-templates/>
        </fo:flow>
      </fo:page-sequence>

    </fo:root>
  </xsl:template>

  <xsl:template match="cd">
    <fo:block>
      <fo:block space-after="20pt"
	font="bold 17pt sans-serif"
	text-align-last="center"
	break-before="page">
	<xsl:value-of select="artist"/>
	<xsl:text> / </xsl:text>
	<xsl:value-of select="title"/>
      </fo:block>
      <xsl:apply-templates select="songlist"/>
    </fo:block>
  </xsl:template>

  <xsl:template match="songlist">
    <fo:block space-after="1em">Inhalt:</fo:block>
    <fo:list-block start-indent="2em"
      provisional-distance-between-starts="10mm"
      provisional-label-separation="2mm">
      <xsl:apply-templates/>
    </fo:list-block>
  </xsl:template>

  <xsl:template match="song">
    <fo:list-item space-after="0.2em">
      <fo:list-item-label end-indent="label-end()">
	<fo:block text-align-last="center">&#x2022;</fo:block>
      </fo:list-item-label>
      <fo:list-item-body start-indent="body-start()">
	<fo:block>
	  <xsl:apply-templates/>
	</fo:block>
      </fo:list-item-body>
    </fo:list-item>
  </xsl:template>

</xsl:stylesheet>
