<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:template match="/collection">
    <html>
      <head>
        <title>CD-Collection</title>
      </head>
      <body>
        <xsl:apply-templates select="cd">
	  <xsl:sort select="@year"/>
        </xsl:apply-templates>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="cd">
    <xsl:variable name="color">
      <xsl:choose>
        <xsl:when test="@year >= 1990">
          <xsl:text>red</xsl:text>
        </xsl:when>
        <xsl:when test="@year >= 1980">
          <xsl:text>blue</xsl:text>
        </xsl:when>
        <xsl:when test="@year >= 1970">
          <xsl:text>green</xsl:text>
        </xsl:when>
        <xsl:when test="@year &lt; 1970">
          <xsl:text>yellow</xsl:text>
        </xsl:when>
        <xsl:otherwise>
          <xsl:text>black</xsl:text>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <h1 style="color:{$color};">
      <xsl:value-of select="artist"/>
      <xsl:text> / </xsl:text>
      <xsl:value-of select="title"/>
      <xsl:if test="@year!=''">
        (<xsl:value-of select="@year"/>)
      </xsl:if>
    </h1>
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="artist|title"/>

  <xsl:template match="songlist">
    <table>
      <xsl:apply-templates/>
    </table>
  </xsl:template>

  <xsl:template match="song">
    <tr>
      <td><xsl:number select="song"/></td>
      <td><xsl:apply-templates/></td>
    </tr>
  </xsl:template>

</xsl:stylesheet>
