<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:template match="/collection">
    <html>
      <head>
        <title>CD-Collection</title>
      </head>
      <body>
        <xsl:apply-templates select="cd">
          <xsl:sort select="@year"/>
        </xsl:apply-templates>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="cd">
    <h1>
      <xsl:value-of select="artist"/>
      <xsl:text> / </xsl:text>
      <xsl:value-of select="title"/>
      <xsl:if test="@year!=''">
        (<xsl:value-of select="@year"/>)
      </xsl:if>
    </h1>
    <xsl:apply-templates select="songlist"/>
  </xsl:template>

  <xsl:template match="songlist">
    <p>
      <xsl:for-each select="song">
	<xsl:apply-templates/>
	<xsl:if test="position() != last()">
	  <xsl:text>, </xsl:text>
	</xsl:if>
      </xsl:for-each>
    </p>
  </xsl:template>

</xsl:stylesheet>
